
ISIS - Bug #4541

Qnet Nav Tool is now set in the background

2016-11-18 12:33 PM - Makayla Shepherd

Status: In Progress   

Priority: Normal   

Assignee: Makayla Shepherd   

Category: Applications   

Target version:    

Impact: The NavTool will no longer have an icon

on the start bar, otherwise no impact.

Software Version:  

Description

The Qnet Nav Tool used to always be in the front of all of the qnet windows, no matter which window is the focus, and now the Nav

Tool goes to the background very easily which is very frustrating.

History

#1 - 2016-11-28 09:55 AM - Tammy Becker

- Status changed from New to Acknowledged

#2 - 2016-12-14 10:15 AM - Lynn Weller

Yeah, this is quite annoying and is making me have to click even more than usual to bring it back in the foreground.  It's either that or the nav window

lives on another screen, far from the action - very inconvenient considering it controls everything.

#4 - 2016-12-16 11:02 AM - Makayla Shepherd

I'm not sure what caused this but it's probably a QT5 setting.

#5 - 2016-12-16 03:54 PM - Lynn Weller

It appears the Qnet Tool is always on top when it overlaps the main qnet window (where individual cubes can be viewed), even though the main qnet

window is clicked on.  Or said in another way, when the qnet tool and main qnet window overlap each other, the main qnet window can not be clicked

upon and brought to the front - the qnet tool always stays on top.  I can demo if this doesn't make sense.

#6 - 2016-12-19 09:38 AM - Makayla Shepherd

- Description updated

#7 - 2016-12-19 03:09 PM - Makayla Shepherd

- Status changed from Acknowledged to In Progress

- Assignee set to Makayla Shepherd

#8 - 2016-12-22 04:56 PM - Makayla Shepherd

- Status changed from In Progress to Resolved

The NavTool is now in the foreground. However, it does not have it's own icon on the start bar anymore.

#9 - 2016-12-22 04:57 PM - Makayla Shepherd

- Impact updated

#10 - 2016-12-23 03:08 PM - Makayla Shepherd

- Status changed from Resolved to In Progress
This broke in the change from Qt4 to Qt5. The break is within svn revision number 6714 and 6726. We believe it is an issue with the Qt parent

relationship. Also QnetTool can no longer go behind the ViewportMainWindow, most likely as a result of the Qt parent relationship.
